<?php
/**
 * Add On as a Services controller
 * @copyright Copyright (C) 2009 - 2014 Ready Bytes Software Labs Pvt. Ltd. All rights reserved.
 * @license GNU/GPL, see LICENSE.php
 * @package Payplans
 * @subpackage	PlanAddons
 * @version 3.2
 * @author Mohit Agrawal <mohit@readybytes.in>
 */

if(defined('_JEXEC')===false) die();

class PayplansadminControllerPlanaddons extends XiController
{
	protected	$_defaultOrderingDirection = 'ASC';
	
	public function display($cachable = false, $urlparams = false)
	{
		$available = $this->availableOrNot();
		
		if ($available) {
			parent::display($cachable, $urlparams);
			return true;	
		}
		
		return false;
	}
	

	/*
	 * it need to be checked install this plugin only when you have comaptible payplans and prodiscount app version
	*/
	public function availableOrNot($showMessage = true)
	{
		if ( version_compare(PAYPLANS_VERSION, '3.1.5' ) < 0 ) {
	
			if ($showMessage) {
				$app = JFactory::getApplication();
				$app->enqueueMessage(XiText::_('COM_PAYPLANS_PLANADDONS_NOT_COMPATIBLE'), 'error');
			}
			return false;
		}
	
		$db = JFactory::getDbo();
		$sql = "SELECT `manifest_cache` from `#__extensions` where `folder` = 'payplans' and `element` = 'prodiscount' ";
		$db->setQuery($sql);
		$prodiscountVersion = $db->loadResult();
	
		if(empty($prodiscountVersion)) {
			return true;
		}
	
		$prodiscountVersion = json_decode($prodiscountVersion);
			
		//check for prodiscount app version also
		if ( version_compare($prodiscountVersion->version, '3.1.3' ) >= 0 ) {
			return true;
		}
	
		if ($showMessage) {
			$app = JFactory::getApplication();
			$app->enqueueMessage(XiText::_('COM_PAYPLANS_PLANADDONS_NOT_COMPATIBLE'), 'error');
		}	
		
		return false;
	}
}

