<?php
/**
 * Add On as a Services lib
 * @copyright Copyright (C) 2009 - 2014 Ready Bytes Software Labs Pvt. Ltd. All rights reserved.
 * @license GNU/GPL, see LICENSE.php
 * @package Payplans
 * @subpackage	PlanAddons
 * @version 3.2
 * @author Mohit Agrawal <mohit@readybytes.in>
 */

if(defined('_JEXEC')===false) die();

class PayplansPlanaddons extends XiLib
{
	// Table fields
	protected $planaddons_id;
	protected $title;
	protected $description;
	protected $price;
	protected $consumed;
	protected $addons_condition;
	protected $price_type;
	protected $apply_on;
	protected $plans;
	protected $start_date;
	protected $end_date;
	protected $published;
	protected $params;
	
/**
	 * @return PayplansPlanaddons
	 */
	public static function getInstance($id = 0, $type = null, $bindData = null, $dummy = null)
	{
		$instance 			= parent::getInstance('planaddons', $id, $type, $bindData);
        $instance->plans 	= json_decode($instance->plans);
        return $instance;
	}
	
	// 	not for table fields
	public function reset(Array $config = array())
	{
		$this->planaddons_id 	= 0;
		$this->title		  		= null;
		$this->description 			= null;
		$this->price  				= 0.0000;
		$this->consumed	  			= 0;
		$this->addons_condition    = null;
		$this->price_type 			= 0;
		$this->apply_on 			= 1;
		$this->plans          		= '';
		$this->start_date     		= new XiDate('0000:00:00 00:00:00');
		$this->end_date       		= new XiDate('0000:00:00 00:00:00');
		$this->published	  		= 1;
		$this->params	      		= new XiParameter();

		return $this;
	}

	//get planids return array
	public function getPlans()
	{
		return $this->plans;
	}

	//get planids return array
	public function getApplyOn()
	{
		return $this->apply_on;
	}

	//get params
	public function getParam($key, $default = null)
	{
		XiError::assert($this);
		return $this->params->get($key, $default);
	}

	public function getConsumed()
	{
		return $this->consumed;
	}

	//for grid screen
	public function toArray($strict = false, $readOnly = false)
	{
		if ( $this->apply_on == 1 ) {
			$this->plans = array();
		} else {
			$this->plans = $this->getPlans();
		}

		return  parent::toArray();
	}

	//at the time of save in edit screen
	public function toDatabase($strict = false, $forReadOnly = false)
	{
		if ( $this->apply_on == 1 ) {
			$this->plans = '';
		} else {
			$this->plans =  json_encode($this->plans);
		}

		return parent::toDatabase($strict, $forReadOnly);
	}
}
