<?php
/**
 * Edit Screen
 * @copyright Copyright (C) 2009 - 2014 Ready Bytes Software Labs Pvt. Ltd. All rights reserved.
 * @license GNU/GPL, see LICENSE.php
 * @package Payplans
 * @subpackage	PlanAddons
 * @version 3.1.2
 * @author Mohit Agrawal <mohit@readybytes.in>
 */

if(defined('_JEXEC')===false) die();?>

<form action="<?php echo $uri; ?>" method="post" name="adminForm" id="adminForm">
	<div class="row-fluid">
		<div class="span6">
			<fieldset class="form-horizontal">
				<legend> <?php echo XiText::_('COM_PAYPLANS_PLANADDONS_EDIT_DETAILS' ); ?> </legend>
			
				<div class="control-group">
					<div class="control-label"><?php echo $form->getLabel('title'); ?> </div>
					<div class="controls"><?php echo $form->getInput('title'); ?></div>					
				</div>
				
				<div class="control-group">
					<div class="control-label"><?php echo $form->getLabel('description'); ?> </div>
					<div class="controls"><?php echo $form->getInput('description'); ?></div>					
				</div>
								
				<div class="control-group">
					<div class="control-label"><?php echo $form->getLabel('published'); ?> </div>
					<div class="controls"><?php echo $form->getInput('published'); ?></div>					
				</div>
				
				<!-- ------------------------------------------------------------------------------------------------- -->
				<!--Apply all Plans -->
				<div class="control-group">
					<div class="control-label"><?php echo $form->getLabel('apply_on'); ?> </div>
					<div class="controls"><?php echo $form->getInput('apply_on'); ?></div>					
				</div>
				
				<div class="control-group apply_onplans">
					<div class="control-label"><?php echo $form->getLabel('plans'); ?> </div>
					<div class="controls"><?php echo $form->getInput('plans'); ?></div>					
				</div>
			<!-- ------------------------------------------------------------------------------------------------- -->
				<!-- service condition -->
				<div class="control-group">
						<div class="control-label">
							<label class="hasTip" title="<?php echo XiText::_('COM_PAYPLANS_PLANADDONS_EDIT_ADDONS_CONDITION_LABEL'); ?>" >
								<?php echo XiText::_( 'COM_PAYPLANS_PLANADDONS_EDIT_ADDONS_CONDITION_DESC' ); ?>
							</label>
						</div>
						<div class="controls">
							<?php echo $form->getInput('addons_condition'); ?>
							<span onclick="payplans.url.modal('<?php echo 'index.php?option=com_payplans&view=planaddons&task=help';?>'); return false;" class="theme-preview-link">&nbsp;&nbsp;&nbsp;&nbsp;</span>
						</div>
				</div>
				
				<!-- Service Price -->
				<div class="control-group">
						<div class="control-label">
							<label class="hasTip" title="<?php echo XiText::_('COM_PAYPLANS_PLANADDONS_EDIT_SERVICE_PRICE_DESC'); ?>">
								<?php echo XiText::_('COM_PAYPLANS_PLANADDONS_EDIT_SERVICE_PRICE_LABEL') ?>
							</label>
						</div>
						<div class="controls pp-buttonset">
							<?php echo PayplansHtml::_('price.edit','Payplans_form[price]','',$service->get('price'));?>
						</div>
				</div>
			
				<?php $fieldset = $form->getFieldset('params');?>
				<?php foreach ($fieldset as $field){
						$fields[$field->fieldname] = $field;
				}?>
			
				<!-- Price Type -->
				<div class="control-group">
					<div class="control-label"><?php echo $form->getLabel('price_type'); ?> </div>
					<div class="controls"><?php echo $form->getInput('price_type'); ?></div>					
				</div>
			</fieldset>
		
			<fieldset class="form-horizontal">
				<!-- LOGS -->
				<?php echo $this->loadTemplate('edit_log'); ?>
			</fieldset>
		</div>

	
	<!-- Optional Parameters -->
	<div class="span6">
		<fieldset class="form-horizontal">
			<legend><?php echo XiText::_( 'COM_PAYPLANS_APP_EDIT_APP_OPTIONAL_PARAMETERS' ); ?></legend>
			
		    <!-- start date -->
			<div class="control-group">
					<div class="control-label">
						<label class="hasTip" title="<?php echo XiText::_('COM_PAYPLANS_PLANADDONS_EDIT_STARTDATE_DESCRIPTION'); ?>" >
							<?php echo XiText::_( 'COM_PAYPLANS_PLANADDONS_EDIT_STARTDATE' ); ?>
						</label>
					</div>
					<div class="controls">
						<?php $start_date = ($service->get('start_date')->toMySql() != null)?$service->get('start_date')->toMySql():'';
						echo PayplansHtml::_('datetime.edit', 'Payplans_form[start_date]', 'start_date', $start_date,'%Y-%m-%d %H:%M:%S ', array('class'=>'inputbox', 'maxlength'=>'19', 'required'=>'true'));?>
					</div>
			</div>
			
			<!-- end date -->
			<div class="control-group">
					<div class="control-label">
						<label class="hasTip" title="<?php echo XiText::_('COM_PAYPLANS_PLANADDONS_EDIT_ENDDATE_DESCRIPTION'); ?>" >
							<?php echo XiText::_( 'COM_PAYPLANS_PLANADDONS_EDIT_ENDDATE' ); ?>
						</label>
					</div>
					<div class="controls">
						<?php $end_date = ($service->get('end_date')->toMySql() != null)?$service->get('end_date')->toMySql():'';
						echo PayplansHtml::_('datetime.edit','Payplans_form[end_date]', 'end_date',$end_date,'%Y-%m-%d %H:%M:%S ', array('class'=>'inputbox', 'maxlength'=>'19', 'required'=>'true'));?>
					</div>
			</div>
			
			<!-- Applicability -->
			<div class=showAdvance"control-group">
					<div class="control-label">
						<label class="hasTip" title="<?php echo XiText::_('COM_PAYPLANS_PLANADDONS_APPLICABILITY_DESC'); ?>" >
							<?php echo XiText::_( 'COM_PAYPLANS_PLANADDONS_APPLICABILITY' ); ?>
						</label>
					</div>
					<div class="controls">
					<?php $service_applicability = array( 
									'PERCENT_OF_SUBTOTAL_NON_TAXABLE' 	=> XiText::_('COM_PAYPLANS_PLANADDONS_APPLICABILITY_NEITHER_TAX_NOR_DISCOUNT'),
									'PERCENT_OF_SUBTOTAL_DISCOUNTABLE' 	=> XiText::_('COM_PAYPLANS_PLANADDONS_APPLICABILITY_BOTH_TAX_AND_DISCOUNT'),
		                      		'PERCENT_OF_SUBTOTAL_TAXABLE'   			=> XiText::_('COM_PAYPLANS_PLANADDONS_APPLICABILITY_ONLY_TAX_NOT_DISCOUNT'),
		                          );
					
						    $options = array();
						    $params  = array();
							foreach ($service_applicability as $key=>$value)
							{
								$options[]      = JHTML::_('select.option', $key, $value);
							}
						     //$class = 'class="inputbox pp-parammanipulator"';
						     echo JHtml::_('select.genericlist', $options, 'Payplans_form[params][applicability]', '' , 'value', 'text',$service->getParam('applicability'),'');
					?>
					</div>		
			</div>

			<!-- Advance functionality starts from here -->
			<?php if( $showAdvance == 1) : ?>
			<div>&nbsp;</div>			

			<!-- Availability -->
			<?php  $fieldset = $form->getFieldset('params'); 
						foreach ($fieldset as $field ) :
						$class = $field->group.$field->fieldname; ?>
						<div class="control-group <?php echo $class;?>">
							<div class="control-label"><?php echo $field->label; ?> </div>
							<div class="controls"><?php echo $field->input; ?></div>
						</div>
			<?php endforeach;	?>
			
			<!-- Consumed -->
			<div class="control-group">
					<div class="control-label">
						<label class="hasTip" title="<?php echo XiText::_('COM_PAYPLANS_PLANADDONS_CONSUMED_QUANTITY_DESC'); ?>" >
							<?php echo XiText::_( 'COM_PAYPLANS_PLANADDONS_CONSUMED_QUANTITY' ); ?>
						</label>
					</div>
					<div class="controls">
						<?php echo $service->getConsumed();?>
					</div>
			</div>
			<?php endif; ?>
		</fieldset>

		<br/>
		<br/>
		
		<fieldset class="adminform">
			<legend onClick="xi.jQuery('.pp-app-help').slideToggle();">
				<span class="show pp-app-help">[+]</span>
				 <?php echo XiText::_( 'COM_PAYPLANS_APP_EDIT_APP_HELP' ); ?>
			</legend>
			<div class="hide pp-app-help">
				<?php echo XiText::_('COM_PAYPLANS_PLANADDONS_APP_HELP'); ?>
			</div>
		</fieldset>
			
	</div>		
	
	
	<?php echo $form->getInput('planaddons_id');?>
	<input type="hidden" name="task" value="save" />
	</div>
</form>

<?php 