<?php
/**
 * Add On as a Services
 * @copyright Copyright (C) 2009 - 2014 Ready Bytes Software Labs Pvt. Ltd. All rights reserved.
 * @license GNU/GPL, see LICENSE.php
 * @package Payplans
 * @subpackage	PlanAddons
 * @version 3.1.2
 * @author Mohit Agrawal <mohit@readybytes.in>
 */

if(defined('_JEXEC')===false) die();
 
$currency 			= $invoice->getCurrency();
$invoicePrice 		= $invoice->getPrice();
$selectMultiple 	= $this->params->get('select_multiple', 1);
$amount 			= 0;
?>

<script type="text/javascript">
	selectMultiple = <?php echo $selectMultiple; ?>;
</script>

<?php 
//if service are out of stock or either unpublished 
if ( empty($availableServices) ) : ?>
	<h1 class="text-warning"><?php echo XiText::_('COM_PAYPLANS_PLANADDONS_MODAL_NO_SERVOCE_AVAIL');  ?></h1>
<?php else : ?>

<div class="row-fluid">
	<div class="span12">
		<span class="btn btn-active" onClick="payplans.apps.planaddons.clearServices();">Clear all</span>
	</div>
	
	<div>&nbsp;</div>	
	<form class="form-horizontal"  action="" method="post">

		<?php 	foreach ( $availableServices as $service ) : 

			$purchased 	= in_array($service->planaddons_id, $purchasedServices);		
			$amount 	= ( $service->price_type == 0 ) ? $service->price : ( ($invoicePrice * $service->price) / 100 ) ;
			$amount 	= $this->_loadTemplate('partial_amount', compact('currency', 'amount'),null,'default');			

			$params 	= new XiParameter();
			$params->bind($service->params);
			$default 	= $params->get('default',0 );
			$disabled 	= ($forcefulDefault && $default)? true: false;

		?>
		
		<!-- -individual item -->
		<div class="control-group">
		<?php if (!$disabled): ?>
			<?php if ($selectMultiple == 1 ) : ?>
				<label class="checkbox">
				<input type="checkbox" name="purchaseServices[]" class="purchaseServices" value="<?php echo $service->planaddons_id; ?>" <?php echo ($purchased)? 'checked' : ''; ?> "/>
			<?php else : ?>
				<label class="radio">
				<input type="radio" name="purchaseServices" class="purchaseServices" value="<?php echo $service->planaddons_id; ?>" <?php echo ($purchased)? 'checked' : ''; ?> />
			<?php endif; ?>
		<?php else: ?>
			<label class="checkbox">
		<?php endif; ?>

			<!-- item title -->
			<strong><?php echo XiText::sprintf('COM_PAYPLANS_PLANADDONS_MODAL_SERVICE_TITLE', $service->title, $amount ); ?></strong>		
			<br/>

			<!-- item description -->
			<?php echo $service->description; ?>			
			</label>
		</div>

		<?php endforeach; ?>
	</form>

</div>
<?php endif; ?>
